Package org.apache.coyote

## Class RequestGroupInfo

- java.lang.Object
- - org.apache.coyote.RequestGroupInfo

    public class RequestGroupInfo
    extends java.lang.Object

This can be moved to top level ( eventually with a better name ). It is currently used only as a JMX artifact, to aggregate the data collected from each RequestProcessor thread.

### Constructor Summary

Constructors
`RequestGroupInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addRequestProcessor​(RequestInfo rp)`
`long` `getBytesReceived()`
`long` `getBytesSent()`
`int` `getErrorCount()`
`long` `getMaxTime()`
`long` `getProcessingTime()`
`int` `getRequestCount()`
`void` `removeRequestProcessor​(RequestInfo rp)`
`void` `resetCounters()`
`void` `setBytesReceived​(long bytesReceived)`
`void` `setBytesSent​(long bytesSent)`
`void` `setErrorCount​(int errorCount)`
`void` `setMaxTime​(long maxTime)`
`void` `setProcessingTime​(long totalTime)`
`void` `setRequestCount​(int requestCount)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RequestGroupInfo

    public RequestGroupInfo()

### Method Detail

#### addRequestProcessor

    public void addRequestProcessor​(RequestInfo rp)

#### removeRequestProcessor

    public void removeRequestProcessor​(RequestInfo rp)

#### getMaxTime

    public long getMaxTime()

#### setMaxTime

    public void setMaxTime​(long maxTime)

#### getProcessingTime

    public long getProcessingTime()

#### setProcessingTime

    public void setProcessingTime​(long totalTime)

#### getRequestCount

    public int getRequestCount()

#### setRequestCount

    public void setRequestCount​(int requestCount)

#### getErrorCount

    public int getErrorCount()

#### setErrorCount

    public void setErrorCount​(int errorCount)

#### getBytesReceived

    public long getBytesReceived()

#### setBytesReceived

    public void setBytesReceived​(long bytesReceived)

#### getBytesSent

    public long getBytesSent()

#### setBytesSent

    public void setBytesSent​(long bytesSent)

#### resetCounters

    public void resetCounters()